package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleRes;
import com.sa.ibiz.demo.demo.service.dto.UserRoleResSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleRes] 服务对象接口
 */
public interface UserRoleResService extends IService<UserRoleRes>{

	boolean remove(UserRoleRes et);
	boolean getDraft(UserRoleRes et);
	boolean create(UserRoleRes et);
		UserRoleRes get(UserRoleRes et);
	boolean update(UserRoleRes et);
	boolean checkKey(UserRoleRes et);
    List<UserRoleRes> listDefault(UserRoleResSearchFilter filter) ;
	Page<UserRoleRes> searchDefault(UserRoleResSearchFilter filter);
	/**	 实体[UserRoleRes] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }